Subject: [Sip] RE: Open Issue #10: Stripping maddr

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 7 Sep 2001 16:52:09 -0400

It has been two weeks since I posted this, with no comments. Since this
proposal was agreed to at IETF 51, and indeed is already in bis-04, I will
now consider this issue closed. The current wording stays.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

> -----Original Message-----
> From: Jonathan Rosenberg 
> Sent: Wednesday, August 22, 2001 5:46 PM
> To: [email-masked]'
> Subject: Open Issue #10: Stripping maddr
> 
> 
> Issue:
> 
> There has been debate in the past about whether a proxy 
> strips a maddr from the r-uri when it uses that maddr to send 
> the request. IN other words, a proxy receives a request, 
> invokes a location service, and ends up with an r-uri that looks like:
> 
> sip:[email-masked];maddr=1.2.3.4
> 
> It therefore sends the request to 1.2.3.4:5060. When this is 
> placed in the request URI, should that maddr be stripped or not? 
> 
> Points to consider:
> 
> THe current text in Section 16.5 of bis-04 are clear that it 
> should strip it. The text also results in things working fine 
> even if its not stripped. However, there was little comment 
> on this text, despite the large amounts of email that flew 
> around on the issue itself.
> 
> Some have argued that maddr should not be stripped, so that 
> middleboxes can figure out where the request is going from 
> the sip layer itself (of course, they can figure it out from 
> the destination ip as well). I personally don't find this one 
> very compelling.
> 
> Proposal:
> 
> Consensus at the meeting, without much discussion or 
> objection, was that the current text is fine.
> 
> Speak now or forever hold your peace.
> 
> -Jonathan R.
> 
> ---
> Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
> Chief Scientist                             First Floor
> dynamicsoft                                 East Hanover, NJ 07936
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
>  
> 

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip